% esercizio 1 - script
clear

% vettore per il grafico
x = linspace( -6*pi, 6*pi, 251);
y = sinx(x);

% punto richiesto
x0 = 0;
y0 = sinx(0);

% preparazione della figura
figure(314)
clf

hold on

% grafico di f(x)
plot( x, y, 'r' );

% marcatura punto richiesto
plot( x0, y0, 'b*' );

% assi di riferimento
plot([-6*pi 6*pi], [0 0], 'k', 'linewidth', 2.0 );
plot([0 0], [-0.5 1.2], 'k', 'linewidth', 2.0 );

% grafici tratteggiati
g1 = 1./x;
g2 = -1./x;
plot(x,g1,'b--', x,g2,'b--');

% restrizione degli assi
axis([-6*pi 6*pi -0.5 1.2]);

% etichette
xlabel('\itx')
ylabel('\itf(x)')
title('Grafico richiesto per l''esercizio 1')
