% esercizio 2 - script
clear

% vettore per il grafico
x = linspace( -pi, pi, 251);
capp = cosapp(x);
y = cos(x);

% preparazione della figura
figure(102)
clf

hold on

% grafico di c(x)
plot( x, capp, 'b--' );
% grafico del coseno
plot( x, y, 'r')

% assi di riferimento
plot([-pi pi], [0 0], 'k', 'linewidth', 2.0 );
plot([0 0], [-1 1], 'k', 'linewidth', 2.0 );


% restrizione degli assi
axis tight

% etichette
xlabel('\itx')
ylabel('\itc(x), cos(x)')
title('Grafico richiesto per l''esercizio 2')

n = 5;

x=linspace(-pi, pi, 2*n+1);
c=cosapp(x);
cs=cos(x);
Ea = abs(c-cs);
Er = Ea./cs;
clc
disp('----------------------------------------------------------------------------');
fprintf(' x\t appcos(x)\t cos(x)\t \tE_ass\t \tE_rel\n');
disp('----------------------------------------------------------------------------');
fprintf('%+3.4f\t %6.5f\t %6.5f\t %f\t %f\n', [x;c;cs;Ea;Er]); 


xt = [ 0 0.1 1 0.99*(pi/2) pi]
ct = cosapp(xt);
cst = cos(xt);
Eat = abs(ct-cst);
Ert = Eat./cst


